#ifndef ARRAY_H
#define ARRAY_H

#include <stdbool.h>

#include "sort.h"

int* create_tab(int tab[], unsigned tab_size);
void free_tab(int tab[]);
int* concat_tab(int tab1[], unsigned tab_size1, int tab2[], unsigned tab_size2);
int* resize_tab(int tab[], unsigned old_tab_size, unsigned new_tab_size);
unsigned count_tab_element(int tab[], unsigned tab_size, int element);
unsigned count_tab_criteria(int tab[], unsigned tab_size, c_criteria_cb c_criteria);
void sort_tab(int tab[], unsigned tab_size, s_criteria_cb sort_criteria);

#endif /* ARRAY_H */
